> ## Documentation Index
> Fetch the complete documentation index at: https://docs.houdiniswap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all available swaps/exchanges

> Returns all available swap providers (exchanges) that can be used for trading.
This includes both centralized exchanges (CEX) and decentralized exchanges (DEX).



## OpenAPI

````yaml https://api-partner.houdiniswap.com/v2/openapi.json get /swaps
openapi: 3.0.0
info:
  title: houdiniswap-backend
  version: 2.1.1
  description: Houdiniswap Backend
  license:
    name: ISC
  contact: {}
servers:
  - url: https://api-partner.houdiniswap.com/v2
security: []
paths:
  /swaps:
    get:
      tags:
        - Liquidity providers
      summary: Get all available swaps/exchanges
      description: >-
        Returns all available swap providers (exchanges) that can be used for
        trading.

        This includes both centralized exchanges (CEX) and decentralized
        exchanges (DEX).
      operationId: GetSwaps
      parameters: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SwapResponse'
                type: array
        '422':
          description: Validation Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - apiKey: []
components:
  schemas:
    SwapResponse:
      description: Public swap data exposed via API
      properties:
        id:
          type: string
        name:
          type: string
        shortName:
          type: string
        txUrl:
          type: string
        enabled:
          type: boolean
        isDex:
          type: boolean
        deprecated:
          type: boolean
        markupSupported:
          type: boolean
        slippageSupported:
          type: boolean
        autoSlippageSupported:
          type: boolean
          nullable: true
        logoUrl:
          type: string
      required:
        - id
        - name
        - shortName
        - enabled
      type: object
      additionalProperties: false
    ValidationError:
      properties:
        message:
          type: string
        code:
          type: string
        requestId:
          type: string
        fields:
          $ref: '#/components/schemas/FieldErrors'
      required:
        - message
        - code
        - fields
      type: object
      additionalProperties: false
    ErrorResponse:
      properties:
        message:
          type: string
        code:
          type: string
        requestId:
          type: string
      required:
        - message
        - code
      type: object
      additionalProperties: false
    FieldErrors:
      properties: {}
      type: object
      additionalProperties:
        properties:
          value: {}
          message:
            type: string
        required:
          - message
        type: object
  securitySchemes:
    apiKey:
      type: apiKey
      name: Authorization
      in: header

````